Subject: FW: Daily Cash Balance Worksheet @ 06-05-01
From: [email-masked]
To: [email-masked]
Date: Thu, 7 Jun 2001 09:56:20 -0700 (PDT)

Paul,

Please call me to discuss.

Rick

 -----Original Message-----
From: 	Mahan, Mariella  
Sent:	Thursday, June 07, 2001 11:35 AM
To:	Sanabria, Jaime; Tortolero, Elio; Sierra, Rick; Zatarain, Brian
Cc:	Cordova, Ernesto
Subject:	RE: Daily Cash Balance Worksheet @ 06-05-01
Sensitivity:	Confidential

Thanks Jaime,
What I don't understand is why you wouldn't do or why you are doing the following:

-	Why are you assuming that PREPA will pay you 75% of the disputed amounts in January?  What is the basis for that - - I have seen no progress from them but I could be wrong.
-	Why wouldn't you negotiate and leave READY your LNG prepayment scheme so that you're ready to pull the trigger in case something else falls through?  If you wait until the last minute (to consider), you will have NO options.

On a separate note, I understand that a potential opportunity exists to look at buying the winter cargo spot vs from Cabot.  Gas prices are dipping down rapidly and this opportunity may be gone if Eco does not evaluate it and decide a course of action very soon.  When this was presented to me I thought it certainly had a lot of merit and it was logical for us to take a look at it immediately.  Having said that, and in keeping with my philosophy that Eco needs to step in and get used to looking at this type of stuff and to making its own decisions (driven by what's best for Eco), I recommended to the Fuel manager that this be something that Eco looks at and decides on.  Where are we on that?

Thanks, Mariella

 -----Original Message-----
From: 	Sanabria, Jaime  
Sent:	Tuesday, June 05, 2001 8:45 PM
To:	Mahan, Mariella; Tortolero, Elio; Sierra, Rick; Zatarain, Brian
Cc:	Cordova, Ernesto
Subject:	Daily Cash Balance Worksheet @ 06-05-01
Importance:	High
Sensitivity:	Confidential

Attached please find the daily cash tracking worksheet. Please note that among all the assumptions used to build the worksheet the following are critical:

	1. That we collect the $14 million in insurance claims on or prior to July 13th. I spoke to the insurance brokers today and we expect the money by the end of next week;
	2. The Cabot July 13th payment could change to a few days earlier or later depending on how PREPA dispatches the facility after the rotor outage;
	3. We collect in January 75% of the projected PREPA outstanding amounts in dispute, in order to pay $15 million of subordinated debt.

 << File: Cash_Needs @ 06-05-01.xls >> 

Should we not receive the insurance money this month we would consider one or both of the following two proposals as a mechanism to bring cash in:

	1. The purchase of LNG by San Juan Gas;
	2. The purchase of the fuel oil inventory by Peerless.